Cannot remove custom CRS
2010-02-18 08:24 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12514
Description

If a custom CRS is on one of the quick-access buttons, this projection cannot be removed from the list using Settings\\Custom CRS. To
reproduce:

1. New project, create new projection, for example, call it something

+proj=aea +lat_1=52 +lat_2=64 +lat_0=0 +lon_0=45 +x_0=8500000 +y_0=0 +ellps=krass
+towgs84=27,-135,-84.5,0,0,-2.686e-006,2.263e-007 +units=m +no_defs

2. Open project properties, choose this projection, hit apply

3. Close project, reopen project

4. Remove custom CRS

5. Open project properties, coordinate systems.

The projection is still there, both in the list and on the buttons, the only the name is gone.

Probably related to #2323

History

#1 - 2010-04-03 02:41 AM - Giovanni Manghi

still true on the latest trunk

#2 - 2010-04-15 05:30 AM - Alexander Bruy
- Resolution set to fixed

- Status changed from Open to Closed

Seems fixed with #2323
